Subject: bug#23924: 25.1.50; Emacs NSInternalInconsistencyException on macos Sierra developer beta 2

From: Alan Third <[email-masked]>
Date: Sun, 10 Jul 2016 17:43:35 +0100

On Sun, Jul 10, 2016 at 09:06:22AM -0700, Bob Halley wrote:
> 
> > On Jul 10, 2016, at 03:10, Alan Third <[email-masked]> wrote:
> > 
> > I recently made a small change to input handling in the master branch
> > that may be related to this. Is there any chance you could give it a
> > go?
> 
> Do you mean ee7bc988603ca16e6ef37fbbc377d82db37954c0, "Prevent NS
> event loop being re-entered (bug#11049)"? If so, I had that in my
> build before i filed the report. I was hopeful when I saw it but it
> didn't help, alas. The only thing from you I see that is new since
> my last build is removing the app nap setting.

Yep, that's the one.

OK, the next step is to rebuild with NSTRACE enabled. If you look near
the top of nsterm.h there is a #DEFINE commented out for NSTRACE. If
you uncomment it Emacs will output information about what it's doing
and then we can see the last thing that happened before the error.

If that doesn't get us anywhere you may need to rebuild with debugging
stuff enabled and try it in lldb or gdb.
-- 
Alan Third